com.microfocus.awm.meta.impl

## Class RElementlistColumnImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.RElementlistColumnImpl

- All Implemented Interfaces:
    AWMObject, RElementlistColumn, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class RElementlistColumnImpl
      extends AWMObjectImpl
      implements RElementlistColumn

  The following features are implemented:

  - `Target IDs`
  - `Col No`
  - `Label`
  - `Visible`
  - `Width`
  - `Delimiter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `int` | `getColNo()`
    `java.lang.String` | `getDelimiter()`
    `java.lang.String` | `getDelimiterWithoutQuotes()` Returns the `RElementlistColumn.getDelimiter()` value of the `RElementlistColumn` without the quotes.
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `Property` | `getTargetID()` Deprecated.
    `org.eclipse.emf.common.util.EList<Property>` | `getTargetIDs()`
    `int` | `getWidth()`
    `boolean` | `isSetColNo()`
    `boolean` | `isSetVisible()`
    `boolean` | `isSetWidth()`
    `boolean` | `isVisible()`
    `void` | `setColNo(int newColNo)`
    `void` | `setDelimiter(java.lang.String newDelimiter)`
    `void` | `setLabel(java.lang.String newLabel)`
    `void` | `setTargetID(Property newTargetID)` Deprecated.
    `void` | `setVisible(boolean newVisible)`
    `void` | `setWidth(int newWidth)`
    `java.lang.String` | `toString()`
    `void` | `unsetColNo()`
    `void` | `unsetVisible()`
    `void` | `unsetWidth()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getTargetID

          @Deprecated
          public Property getTargetID()

      Deprecated.
      Description copied from interface: `RElementlistColumn`
      Returns the value of the 'Target ID' reference. References a property. The property's value then displays in the column
      Specified by:
        `getTargetID` in interface `RElementlistColumn`
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `RElementlistColumn.setTargetID(Property)`, `TaurusPackage.getRElementlistColumn_TargetID()`

    - #### getTargetIDs

          public org.eclipse.emf.common.util.EList<Property> getTargetIDs()

      Specified by:
        `getTargetIDs` in interface `RElementlistColumn`
      Returns:
        the value of the 'Target IDs' reference list.
      See Also:
        `TaurusPackage.getRElementlistColumn_TargetIDs()`

    - #### getColNo

          public int getColNo()

      Specified by:
        `getColNo` in interface `RElementlistColumn`
      Returns:
        the value of the 'Col No' attribute.
      See Also:
        `RElementlistColumn.isSetColNo()`, `RElementlistColumn.unsetColNo()`, `RElementlistColumn.setColNo(int)`, `TaurusPackage.getRElementlistColumn_ColNo()`

    - #### setColNo

          public void setColNo(int newColNo)

      Specified by:
        `setColNo` in interface `RElementlistColumn`
      Parameters:
        `newColNo` - the new value of the 'Col No' attribute.
      See Also:
        `RElementlistColumn.isSetColNo()`, `RElementlistColumn.unsetColNo()`, `RElementlistColumn.getColNo()`

    - #### setTargetID

          @Deprecated
          public void setTargetID(Property newTargetID)

      Deprecated.
      Description copied from interface: `RElementlistColumn`
      Sets the value of the ' `Target ID`' reference.
      Specified by:
        `setTargetID` in interface `RElementlistColumn`
      Parameters:
        `newTargetID` - the new value of the 'Target ID' reference.
      See Also:
        `RElementlistColumn.getTargetID()`

    - #### unsetColNo

          public void unsetColNo()

      Specified by:
        `unsetColNo` in interface `RElementlistColumn`
      See Also:
        `RElementlistColumn.isSetColNo()`, `RElementlistColumn.getColNo()`, `RElementlistColumn.setColNo(int)`

    - #### isSetColNo

          public boolean isSetColNo()

      Specified by:
        `isSetColNo` in interface `RElementlistColumn`
      Returns:
        whether the value of the 'Col No' attribute is set.
      See Also:
        `RElementlistColumn.unsetColNo()`, `RElementlistColumn.getColNo()`, `RElementlistColumn.setColNo(int)`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `RElementlistColumn`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `RElementlistColumn.setLabel(String)`, `TaurusPackage.getRElementlistColumn_Label()`

    - #### setLabel

          public void setLabel(java.lang.String newLabel)

      Specified by:
        `setLabel` in interface `RElementlistColumn`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `RElementlistColumn.getLabel()`

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `RElementlistColumn`
      Returns:
        the value of the 'Visible' attribute.
      See Also:
        `RElementlistColumn.isSetVisible()`, `RElementlistColumn.unsetVisible()`, `RElementlistColumn.setVisible(boolean)`, `TaurusPackage.getRElementlistColumn_Visible()`

    - #### setVisible

          public void setVisible(boolean newVisible)

      Specified by:
        `setVisible` in interface `RElementlistColumn`
      Parameters:
        `newVisible` - the new value of the 'Visible' attribute.
      See Also:
        `RElementlistColumn.isSetVisible()`, `RElementlistColumn.unsetVisible()`, `RElementlistColumn.isVisible()`

    - #### unsetVisible

          public void unsetVisible()

      Specified by:
        `unsetVisible` in interface `RElementlistColumn`
      See Also:
        `RElementlistColumn.isSetVisible()`, `RElementlistColumn.isVisible()`, `RElementlistColumn.setVisible(boolean)`

    - #### isSetVisible

          public boolean isSetVisible()

      Specified by:
        `isSetVisible` in interface `RElementlistColumn`
      Returns:
        whether the value of the 'Visible' attribute is set.
      See Also:
        `RElementlistColumn.unsetVisible()`, `RElementlistColumn.isVisible()`, `RElementlistColumn.setVisible(boolean)`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in interface `RElementlistColumn`
      Returns:
        the value of the 'Width' attribute.
      See Also:
        `RElementlistColumn.isSetWidth()`, `RElementlistColumn.unsetWidth()`, `RElementlistColumn.setWidth(int)`, `TaurusPackage.getRElementlistColumn_Width()`

    - #### setWidth

          public void setWidth(int newWidth)

      Specified by:
        `setWidth` in interface `RElementlistColumn`
      Parameters:
        `newWidth` - the new value of the 'Width' attribute.
      See Also:
        `RElementlistColumn.isSetWidth()`, `RElementlistColumn.unsetWidth()`, `RElementlistColumn.getWidth()`

    - #### unsetWidth

          public void unsetWidth()

      Specified by:
        `unsetWidth` in interface `RElementlistColumn`
      See Also:
        `RElementlistColumn.isSetWidth()`, `RElementlistColumn.getWidth()`, `RElementlistColumn.setWidth(int)`

    - #### isSetWidth

          public boolean isSetWidth()

      Specified by:
        `isSetWidth` in interface `RElementlistColumn`
      Returns:
        whether the value of the 'Width' attribute is set.
      See Also:
        `RElementlistColumn.unsetWidth()`, `RElementlistColumn.getWidth()`, `RElementlistColumn.setWidth(int)`

    - #### getDelimiter

          public java.lang.String getDelimiter()

      Specified by:
        `getDelimiter` in interface `RElementlistColumn`
      Returns:
        the value of the 'Delimiter' attribute.
      See Also:
        `RElementlistColumn.setDelimiter(String)`, `TaurusPackage.getRElementlistColumn_Delimiter()`

    - #### setDelimiter

          public void setDelimiter(java.lang.String newDelimiter)

      Specified by:
        `setDelimiter` in interface `RElementlistColumn`
      Parameters:
        `newDelimiter` - the new value of the 'Delimiter' attribute.
      See Also:
        `RElementlistColumn.getDelimiter()`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

    - #### getLabelFromHierarchy

          public java.lang.String getLabelFromHierarchy()

      Description copied from interface: `RElementlistColumn`
      Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Property its Label wasn't set, too, its ID will be returned.
      Specified by:
        `getLabelFromHierarchy` in interface `RElementlistColumn`

    - #### getDelimiterWithoutQuotes

          public java.lang.String getDelimiterWithoutQuotes()

      Description copied from interface: `RElementlistColumn`
      Returns the `RElementlistColumn.getDelimiter()` value of the `RElementlistColumn` without the quotes. This Method will return the correct value even if there weren't any quotes in the configuration file.
      Specified by:
        `getDelimiterWithoutQuotes` in interface `RElementlistColumn`
      Returns:
        The `RElementlistColumn.getDelimiter()` value of the `RElementlistColumn` without quotes or `null` if no value was set for the delimiter.

Copyright © 2015 Micro Focus GmbH. All rights reserved.